Subject: bug#20022: 24.4.90; window-body-height, window-body-width wrong value after text-scale-adjust

From: martin rudalics <[email-masked]>
Date: Sun, 08 Mar 2015 11:03:26 +0100

> I guess the core of the problem is that having a width/height computed
 > using default buffer font is more useful than using frame default
 > font. Given that the docs were never clear maybe the behavior of
 > existing functions could be changed. Or an additional font-toggling
 > argument added to those.

You mean that switching to another buffer in a window could change the
nominal height of that window?

I have no opinion on this because I don't care about line-/column values
returned by these functions.  The only thing I do care about is that if
you have two side-by-side windows, the value of `window-left-column' of
the right window equals the sum of `window-left-column' and
`window-total-width' of the window on the left.  Otherwise, windmove's
functions might fail and I have no intention to fix them again.

martin